> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List holds

> List holds

### Query parameters

<ParamField query="sku" type="string" />

<ParamField query="lot_number" type="string" />

<ParamField query="hold_type" type="string" />

<ParamField query="active_only" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="QualityHoldListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/quality/holds' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "holds": [
      {
        "hold_type": "string",
        "id": "string",
        "lot_number": null,
        "placed_at": "string",
        "placed_by": "string",
        "quantity_held": "string",
        "reason": "string",
        "released_at": null,
        "released_by": null,
        "sku": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
